> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatnorris.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar agentes

> Obtener la lista paginada de agentes de IA de tu organización.

# Listar agentes

Devuelve todos los agentes de IA de tu organización, ordenados por fecha de creación descendente.

<RequestExample>
  ```http theme={null}
  GET https://app.chatnorris.ai/api/v2/chatbots
  Authorization: Bearer <tu_api_key>
  ```
</RequestExample>

**Scope requerido:** `chatbots:read`

***

## Query parameters

| Parámetro  | Tipo    | Descripción                                        |
| ---------- | ------- | -------------------------------------------------- |
| `page`     | integer | Número de página. Default: `1`                     |
| `per_page` | integer | Resultados por página. Default: `25`, máximo `100` |

***

## Respuesta

```json theme={null}
{
  "status": "success",
  "data": {
    "chatbots": [
      {
        "id": "bot_abc123",
        "name": "Soporte al cliente",
        "description": "Agente de soporte para consultas generales",
        "system_prompt": "Eres el asistente virtual de Acme Corp...",
        "model": "claude-sonnet-4-6",
        "temperature": 0.3,
        "max_tokens": 1000,
        "is_active": true,
        "is_published": true,
        "widget_config": {
          "primaryColor": "#00ed64",
          "greeting": "¡Hola! ¿En qué puedo ayudarte?",
          "leadCapture": false
        },
        "created_at": "2025-03-20T14:30:00.000Z",
        "updated_at": "2025-06-01T09:15:00.000Z"
      }
    ]
  },
  "pages": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 25,
    "total": 3
  }
}
```

### Campos de respuesta

| Campo           | Tipo           | Descripción                                      |
| --------------- | -------------- | ------------------------------------------------ |
| `id`            | string         | ID único del agente                              |
| `name`          | string         | Nombre del agente                                |
| `description`   | string \| null | Descripción opcional                             |
| `system_prompt` | string         | Instrucciones del sistema                        |
| `model`         | string         | Modelo de IA configurado                         |
| `temperature`   | number         | Temperatura (0–1)                                |
| `max_tokens`    | integer        | Longitud máxima de respuesta                     |
| `is_active`     | boolean        | Si el agente está activo                         |
| `is_published`  | boolean        | Si el agente está publicado (visible en canales) |
| `widget_config` | object         | Configuración visual del widget                  |
| `created_at`    | string         | Fecha de creación (ISO 8601)                     |
| `updated_at`    | string         | Última modificación (ISO 8601)                   |
